import { getHostClassNames } from './class-names';
import { validateUiComponentProps } from '../ui-component-props/ui-component-props';
export const chipListLayoutClassNamesConfig = {
    prefix: 'cck-chip-list',
    elements: {
        host: {
            name: 'Host Element',
            selectors: [
                'cck-chip-list'
            ],
            description: 'It will add to the host element of ChipList component.'
        },
        disabled: {
            name: 'Host Element',
            selectors: [
                'cck-chip-list--disabled'
            ],
            description: 'Applied to the host element of the ChipList component, when the the ChipList is disabled'
        },
        input: {
            name: 'Host Element',
            selectors: [
                'cck-chip-list__input'
            ],
            description: 'Applied to the input element of the ChipList component, to write and add new chip'
        }
    }
};
export function getChipListClassNames(componentProps, uiComponentsConfig) {
    const options = {
        componentName: 'chip',
        componentProps,
        uiComponentsConfig
    };
    validateUiComponentProps(options);
    return {
        host: [
            ...chipListLayoutClassNamesConfig.elements.host.selectors,
            ...getHostClassNames(chipListLayoutClassNamesConfig.prefix, options)
        ],
        disabled: [
            ...chipListLayoutClassNamesConfig.elements.disabled.selectors
        ],
        input: [
            ...chipListLayoutClassNamesConfig.elements.input.selectors
        ]
    };
}
