import { getHostClassNames } from './class-names';
import { validateUiComponentProps } from '../ui-component-props/ui-component-props';
export const errorLayoutClassNamesConfig = {
    prefix: 'cck-error',
    elements: {
        host: {
            name: 'Host Element',
            selectors: [
                'cck-error'
            ],
            description: 'It will add to the host element of Error component.'
        }
    }
};
export function getErrorClassNames(componentProps, uiComponentsConfig) {
    const options = {
        componentName: 'error',
        componentProps,
        uiComponentsConfig
    };
    validateUiComponentProps(options);
    return {
        host: [
            ...errorLayoutClassNamesConfig.elements.host.selectors,
            ...getHostClassNames(errorLayoutClassNamesConfig.prefix, options)
        ]
    };
}
