import { getHostClassNames } from './class-names';
import { validateUiComponentProps } from '../ui-component-props/ui-component-props';
export const prefixLayoutClassNamesConfig = {
    prefix: 'cck-prefix',
    elements: {
        host: {
            name: 'Host Element',
            selectors: [
                'cck-prefix'
            ],
            description: 'It will add to the host element of Prefix component.'
        }
    }
};
export function getPrefixClassNames(componentProps, uiComponentsConfig) {
    const options = {
        componentName: 'prefix',
        componentProps,
        uiComponentsConfig
    };
    validateUiComponentProps(options);
    return {
        host: [
            ...prefixLayoutClassNamesConfig.elements.host.selectors,
            ...getHostClassNames(prefixLayoutClassNamesConfig.prefix, options)
        ]
    };
}
